## mathjax 2.0.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = .

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/.doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
#	@echo "  pickle     to make pickle files"
#	@echo "  json       to make JSON files"
#	@echo "  htmlhelp   to make HTML files and a HTML help project"
#	@echo "  qthelp     to make HTML files and a qthelp project"
#	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "or"
	@echo "  html-mathjax-site  to make the documentation for www.mathjax.org"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

html-mathjax-site:
	$(SPHINXBUILD) -b html -A for_site=True $(ALLSPHINXOPTS) $(BUILDDIR)/html-mathjax-site
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html-mathjax-site."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/UCBerkeleyAstronomy10Spring2011.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/UCBerkeleyAstronomy10Spring2011.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/UCBerkeleyAstronomy10Spring2011"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/UCBerkeleyAstronomy10Spring2011"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## mathjax 1.1

=== debian/changelog ===
mathjax (1.1-1) unstable; urgency=low

  * Initial release (Closes: #627518)

 -- Julien Jehannet <julien.jehannet@logilab.fr>  Sat, 05 Nov 2011 04:28:46 +0100

=== debian/control ===
Source: mathjax
Section: web
Priority: extra
Maintainer: Julien Jehannet <julien.jehannet@logilab.fr>
Build-Depends: debhelper (>= 7.0.50~), python-sphinx
Standards-Version: 3.9.2
Homepage: http://www.mathjax.org

Package: libjs-mathjax
Architecture: all
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Description: open-source JavaScript display engine for LaTeX and MathML
 It was designed with the goal of consolidating the recent advances in web
 technologies into a single, definitive, math-on-the-web platform supporting
 the major browsers and operating systems.  It requires no setup on the part of
 the user (no plugins to download or software to install), so the page author
 can write web documents that include mathematics and be confident that users
 will be able to view it naturally and easily. Simply include MathJax and some
 mathematics in a web page, and MathJax does the rest.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C docs html
	rm -rf docs/html/_sources
endif

override_dh_compress:
	dh_compress -X.js

=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://githubredir.debian.net/github/mathjax/MathJax/v(.*)\.tar\.gz

## mathjax 2.0

=== debian/changelog ===
mathjax (2.0-2) experimental; urgency=low

  * Split out libjs-mathjax-doc package
  * Build docs using python3 version of sphinx and dh_sphinxdoc
  * Update debian/copyright and fix Format URL

 -- Dmitry Shachnev <mitya57@gmail.com>  Thu, 26 Jul 2012 14:39:31 +0400

mathjax (2.0-1) experimental; urgency=low

  * Set Maintainer to Debian Javascript Maintainers team
  * Add myself to Uploaders
  * New upstream release (Closes: #664673)
  * Clone the docs directory before building docs, to fix build failures
    when building twice in a row
  * Fix search not working in docs
  * Bump Standards-Version to 3.9.3, no changes needed
  * Bump debhelper compatibility level to 9
  * Some minor tweaks to the package description
  * Update debian/watch

 -- Dmitry Shachnev <mitya57@gmail.com>  Mon, 16 Jul 2012 13:37:23 +0400

=== debian/control ===
Source: mathjax
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Dmitry Shachnev <mitya57@gmail.com>
Build-Depends: debhelper (>= 9), python3-sphinx
Standards-Version: 3.9.3
Homepage: http://www.mathjax.org
Vcs-Git: git://anonscm.debian.org/pkg-javascript/mathjax.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/mathjax.git

Package: libjs-mathjax
Architecture: all
Depends: ${misc:Depends}
Suggests: libjs-mathjax-doc
Description: open-source JavaScript display engine for LaTeX and MathML
 MathJax was designed with the goal of consolidating the recent advances in web
 technologies into a single, definitive, math-on-the-web platform supporting
 the major browsers and operating systems.
 .
 It requires no setup on the part of the user (no plugins to download or
 software to install), so the page author can write web documents that include
 mathematics and be confident that users will be able to view it naturally and
 easily. Simply include MathJax and some mathematics in a web page, and MathJax
 will do the rest.

Package: libjs-mathjax-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: open-source JavaScript display engine for LaTeX and MathML (documentation)
 MathJax was designed with the goal of consolidating the recent advances in web
 technologies into a single, definitive, math-on-the-web platform supporting
 the major browsers and operating systems.
 .
 It requires no setup on the part of the user (no plugins to download or
 software to install), so the page author can write web documents that include
 mathematics and be confident that users will be able to view it naturally and
 easily. Simply include MathJax and some mathematics in a web page, and MathJax
 will do the rest.
 .
 This package provides HTML documentation of MathJax.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.

%:
	dh $@ --with sphinxdoc

override_dh_auto_build:
	mkdir docs.debian
	cp -a docs/Makefile docs/source/ docs.debian/
	$(MAKE) -C docs.debian html
	dh_auto_build

override_dh_auto_clean:
	rm -rf docs.debian
	dh_auto_clean

## mathjax 2.0.3

=== debian/changelog ===
mathjax (2.0.3-1) experimental; urgency=low

  * New upstream release (Closes: #683966)
  * Use xz compression method (Closes: #683963, thanks to Julian Taylor
    for the patch)

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 08 Aug 2012 19:48:35 +0400

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 Package: libjs-mathjax
 Architecture: all
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}
 Suggests: libjs-mathjax-doc
 Description: open-source JavaScript display engine for LaTeX and MathML
@@ -27,6 +28,7 @@
 Package: libjs-mathjax-doc
 Architecture: all
 Section: doc
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: open-source JavaScript display engine for LaTeX and MathML (documentation)
  MathJax was designed with the goal of consolidating the recent advances in web

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,6 @@
 override_dh_auto_clean:
 	rm -rf docs.debian
 	dh_auto_clean
+
+override_dh_builddeb:
+	dh_builddeb -- -Zxz

=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.*v(.*)/mathjax_$1.orig.tar.gz/ \
http://github.com/mathjax/MathJax/tags .*/tarball/v(.*)

## mathjax 2.1+20121028

=== debian/changelog ===
mathjax (2.1+20121028-1) experimental; urgency=low

  * New upstream release.
  * Set Maintainer to myself.
  * Don't build libjs-mathjax-doc, it is now in a separate source.
  * Suggest fonts-stix.
  * Install images directory.
  * Replace current working directory while packing JS files.
  * Update Vcs-Git to point to git.debian.org.
  * Update debian/copyright:
    + Use full text of SIL Open Font License.
    + Use stand-alone header for Apache license.
  * Update debian/watch to the new GitHub URLs (thanks to
    Andrew Starr-Bochicchio for the suggestion).
  * Split out the fonts to fonts-mathjax and fonts-mathjax-extras
    packages.
  * Restore original compressed files in clean target (not build).
  * Make short descriptions different and a bit shorter.

 -- Dmitry Shachnev <mitya57@gmail.com>  Fri, 21 Dec 2012 16:31:21 +0400

mathjax (2.0.3-2) experimental; urgency=low

  * Set priority to optional
  * Repack javascript files during build
    - Build-depend on yui-compressor and perl
    - Add debian/packer directory containing packing scripts
    - Add debian/combiner directory containing scripts used for creating
      "combined" configs

 -- Dmitry Shachnev <mitya57@gmail.com>  Sat, 25 Aug 2012 18:17:59 +0400

=== debian/control ===
Source: mathjax
Section: web
Priority: optional
Maintainer: Dmitry Shachnev <mitya57@gmail.com>
Uploaders: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), yui-compressor, perl
Standards-Version: 3.9.4
Homepage: http://www.mathjax.org
Vcs-Git: git://git.debian.org/git/pkg-javascript/mathjax.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/mathjax.git

Package: libjs-mathjax
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, fonts-mathjax
Suggests: fonts-stix, fonts-mathjax-extras, libjs-mathjax-doc
Description: JavaScript display engine for LaTeX and MathML
 MathJax was designed with the goal of consolidating the recent advances in web
 technologies into a single, definitive, math-on-the-web platform supporting
 the major browsers and operating systems.
 .
 It requires no setup on the part of the user (no plugins to download or
 software to install), so the page author can write web documents that include
 mathematics and be confident that users will be able to view it naturally and
 easily. Simply include MathJax and some mathematics in a web page, and MathJax
 will do the rest.

Package: fonts-mathjax
Section: fonts
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}
Suggests: libjs-mathjax
Breaks: libjs-mathjax (<< 2.1)
Replaces: libjs-mathjax (<< 2.1)
Description: JavaScript display engine for LaTeX and MathML (fonts)
 MathJax was designed with the goal of consolidating the recent advances in web
 technologies into a single, definitive, math-on-the-web platform supporting
 the major browsers and operating systems.
 .
 It requires no setup on the part of the user (no plugins to download or
 software to install), so the page author can write web documents that include
 mathematics and be confident that users will be able to view it naturally and
 easily. Simply include MathJax and some mathematics in a web page, and MathJax
 will do the rest.
 .
 This package contains OTF, SVG and WOFF fonts for MathJax.
 
Package: fonts-mathjax-extras
Section: fonts
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}
Recommends: fonts-mathjax
Suggests: libjs-mathjax
Breaks: libjs-mathjax (<< 2.1)
Replaces: libjs-mathjax (<< 2.1)
Description: JavaScript display engine for LaTeX and MathML (extra fonts)
 MathJax was designed with the goal of consolidating the recent advances in web
 technologies into a single, definitive, math-on-the-web platform supporting
 the major browsers and operating systems.
 .
 It requires no setup on the part of the user (no plugins to download or
 software to install), so the page author can write web documents that include
 mathematics and be confident that users will be able to view it naturally and
 easily. Simply include MathJax and some mathematics in a web page, and MathJax
 will do the rest.
 .
 This package contains EOT and PNG fonts for MathJax, that are provided in
 addition to OTF, SVG and WOFF fonts in "fonts-mathjax" package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.

%:
	dh $@

override_dh_auto_build:
	mkdir old-compressed
	mv MathJax.js config/ extensions/ jax/ old-compressed/
	mv fonts/HTML-CSS/TeX/png/imagedata.js old-compressed/
	./debian/packer/packMJ
	./debian/packer/packMJfonts
	./debian/combiner/combineMJ --force
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	# Revert original compressed files
	if [ -d old-compressed ]; then \
		rm -rf MathJax.js config/ extensions/ jax/; \
		mv old-compressed/imagedata.js fonts/HTML-CSS/TeX/png/; \
		mv old-compressed/* .; \
		rm -r old-compressed/; \
	fi

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
--- 
+++ 
@@ -5,4 +5,4 @@
 version=3
 
 opts=filenamemangle=s/.*v(.*)/mathjax_$1.orig.tar.gz/ \
-http://github.com/mathjax/MathJax/tags .*/tarball/v(.*)
+http://github.com/mathjax/MathJax/tags .*/archive/v(.*).tar.gz

## mathjax 2.2

=== debian/changelog ===
mathjax (2.2-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Gary Preston <gary@mups.co.uk>  Sun, 22 Dec 2013 01:07:32 +0000

mathjax (2.2-1) unstable; urgency=low

  * New upstream release.
  * Make debian/watch generate tarballs with correct extension.
  * Update debian/copyright: bump years, and transfer the copyright
    from "Design Science, Inc" to "The MathJax Consortium" (following
    upstream).
  * Install localization files and test HTML files.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 26 May 2013 15:07:53 +0400

mathjax (2.1+20121028-2) unstable; urgency=low

  * Revert the Vcs-Git change, lintian doesn't like that.
  * Mark fonts packages as Multi-Arch: foreign, fixes a lintian warning.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@gmail.com>  Thu, 09 May 2013 09:38:36 +0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9), yui-compressor, perl
 Standards-Version: 3.9.4
 Homepage: http://www.mathjax.org
-Vcs-Git: git://git.debian.org/git/pkg-javascript/mathjax.git
+Vcs-Git: git://anonscm.debian.org/pkg-javascript/mathjax.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/mathjax.git
 
 Package: libjs-mathjax
@@ -33,6 +33,7 @@
 Suggests: libjs-mathjax
 Breaks: libjs-mathjax (<< 2.1)
 Replaces: libjs-mathjax (<< 2.1)
+Multi-Arch: foreign
 Description: JavaScript display engine for LaTeX and MathML (fonts)
  MathJax was designed with the goal of consolidating the recent advances in web
  technologies into a single, definitive, math-on-the-web platform supporting
@@ -55,6 +56,7 @@
 Suggests: libjs-mathjax
 Breaks: libjs-mathjax (<< 2.1)
 Replaces: libjs-mathjax (<< 2.1)
+Multi-Arch: foreign
 Description: JavaScript display engine for LaTeX and MathML (extra fonts)
  MathJax was designed with the goal of consolidating the recent advances in web
  technologies into a single, definitive, math-on-the-web platform supporting

## mathjax 2.3

=== debian/changelog ===
mathjax (2.3-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright for new bundled fonts.
  * Update to newer versions of packer and combiner scripts.
  * Disable extra fonts until we find a way to correctly ship them
    in Debian.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 16 Feb 2014 13:08:54 +0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Dmitry Shachnev <mitya57@gmail.com>
 Uploaders: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), yui-compressor, perl
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.mathjax.org
 Vcs-Git: git://anonscm.debian.org/pkg-javascript/mathjax.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/mathjax.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 override_dh_auto_build:
 	mkdir old-compressed
-	mv MathJax.js config/ extensions/ jax/ old-compressed/
+	mv MathJax.js config/ extensions/ jax/ localization/ old-compressed/
 	mv fonts/HTML-CSS/TeX/png/imagedata.js old-compressed/
 	./debian/packer/packMJ
 	./debian/packer/packMJfonts
@@ -18,7 +18,7 @@
 	dh_auto_clean
 	# Revert original compressed files
 	if [ -d old-compressed ]; then \
-		rm -rf MathJax.js config/ extensions/ jax/; \
+		rm -rf MathJax.js config/ extensions/ jax/ localization/; \
 		mv old-compressed/imagedata.js fonts/HTML-CSS/TeX/png/; \
 		mv old-compressed/* .; \
 		rm -r old-compressed/; \

=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.*v(.*).tar.gz/mathjax_$1.orig.tar.gz/ \
http://github.com/mathjax/MathJax/tags .*/archive/v(.*).tar.gz

## mathjax 2.4

=== debian/changelog ===
mathjax (2.4-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright.
  * Refresh no_extra_fonts.diff.
  * Stop forcing xz compression, it is default now.
  * Override lintian tags about sourceless JS files, these files
    actually have source in unpacked directory.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 15 Jun 2014 14:50:55 +0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
 
 Package: libjs-mathjax
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, fonts-mathjax
 Suggests: fonts-stix, fonts-mathjax-extras, libjs-mathjax-doc
 Description: JavaScript display engine for LaTeX and MathML
@@ -28,7 +27,6 @@
 Package: fonts-mathjax
 Section: fonts
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}
 Suggests: libjs-mathjax
 Breaks: libjs-mathjax (<< 2.1)
@@ -50,7 +48,6 @@
 Package: fonts-mathjax-extras
 Section: fonts
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}
 Recommends: fonts-mathjax
 Suggests: libjs-mathjax

## mathjax 2.5.0

=== debian/changelog ===
mathjax (2.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Update packer and combiner code to the latest upstream version.
  * Bump years in debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 31 Jan 2015 12:45:06 +0300

mathjax (2.4-2) unstable; urgency=medium

  * Watch file fixes: use HTTPS, and make it working with new tag names.
  * Update Standards-Version to 3.9.6, no changes needed.
  * Update my e-mail address.
  * Use CGit URL in Vcs-Browser field.
  * Use local path to MathJax.js in an example, to make Lintian happy.
  * Fix syntax in debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 03 Oct 2014 09:29:56 +0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: mathjax
 Section: web
 Priority: optional
-Maintainer: Dmitry Shachnev <mitya57@gmail.com>
+Maintainer: Dmitry Shachnev <mitya57@debian.org>
 Uploaders: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), yui-compressor, perl
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.mathjax.org
 Vcs-Git: git://anonscm.debian.org/pkg-javascript/mathjax.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/mathjax.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-javascript/mathjax.git
 
 Package: libjs-mathjax
 Architecture: all

## mathjax 2.5.1

=== debian/changelog ===
mathjax (2.5.1-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Wrap-and-sort.
  * Refresh debian/patches/no_extra_fonts.diff.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 26 Mar 2015 13:05:37 +0300

## mathjax 2.5.3

=== debian/changelog ===
mathjax (2.5.3-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 03 May 2015 20:28:22 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dmitry Shachnev <mitya57@debian.org>
 Uploaders: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), yui-compressor, perl
+Build-Depends: debhelper (>= 9), perl, yui-compressor
 Standards-Version: 3.9.6
 Homepage: http://www.mathjax.org
 Vcs-Git: git://anonscm.debian.org/pkg-javascript/mathjax.git
@@ -11,8 +11,8 @@
 
 Package: libjs-mathjax
 Architecture: all
-Depends: ${misc:Depends}, fonts-mathjax
-Suggests: fonts-stix, fonts-mathjax-extras, libjs-mathjax-doc
+Depends: fonts-mathjax, ${misc:Depends}
+Suggests: fonts-mathjax-extras, fonts-stix, libjs-mathjax-doc
 Description: JavaScript display engine for LaTeX and MathML
  MathJax was designed with the goal of consolidating the recent advances in web
  technologies into a single, definitive, math-on-the-web platform supporting
@@ -44,7 +44,7 @@
  will do the rest.
  .
  This package contains OTF, SVG and WOFF fonts for MathJax.
- 
+
 Package: fonts-mathjax-extras
 Section: fonts
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,3 @@
 		mv old-compressed/* .; \
 		rm -r old-compressed/; \
 	fi
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz

=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.*archive\/v?(.*).tar.gz/mathjax_$1.orig.tar.gz/ \
https://github.com/mathjax/MathJax/releases .*/archive/v?(.*).tar.gz

## mathjax 2.6.1

=== debian/changelog ===
mathjax (2.6.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Use HTTPS (recommended) for Vcs-Git field.
  * Refresh debian/patches/no_extra_fonts.diff.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Feb 2016 12:50:24 +0300

mathjax (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to properly handle upstream beta releases.
  * Update combiner code to the latest upstream version.
  * Delete original compressed files instead of moving them, to simplify
    the build process.
  * Tighten dependency on fonts-mathjax (require version ≥ 2.6.0).
  * Switch some links in debian/control and debian/copyright to HTTPS.
  * Refresh debian/patches/no_extra_fonts.diff.
  * Do not install images/ directory, removed upstream.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 02 Jan 2016 14:28:16 +0300

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), perl, yui-compressor
 Standards-Version: 3.9.6
-Homepage: http://www.mathjax.org
-Vcs-Git: git://anonscm.debian.org/pkg-javascript/mathjax.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-javascript/mathjax.git
+Homepage: https://www.mathjax.org
+Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/mathjax.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/mathjax.git
 
 Package: libjs-mathjax
 Architecture: all
-Depends: fonts-mathjax, ${misc:Depends}
+Depends: fonts-mathjax (>= 2.6.0~), ${misc:Depends}
 Suggests: fonts-mathjax-extras, fonts-stix, libjs-mathjax-doc
 Description: JavaScript display engine for LaTeX and MathML
  MathJax was designed with the goal of consolidating the recent advances in web

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.

%:
	dh $@

override_dh_auto_build:
	./debian/packer/packMJ
	./debian/packer/packMJfonts
	./debian/combiner/combineMJ --force

override_dh_auto_clean:
	rm -rfv config/ extensions/ jax/ localization/
	rm -fv MathJax.js fonts/HTML-CSS/TeX/png/imagedata.js

=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=uversionmangle=s/-/~/,filenamemangle=s/.*archive\/v?(.*).tar.gz/mathjax_$1.orig.tar.gz/ \
https://github.com/mathjax/MathJax/releases .*/archive/v?(.*).tar.gz

## mathjax 2.7.0

=== debian/changelog ===
mathjax (2.7.0-2ubuntu1) zesty; urgency=medium

  * Export NO_PNG_PKG_MANGLE=1 to disable PNG optimization. It used to save
    only a couple percents of size, and now if exhausts memory on buildds.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 15 Mar 2017 17:37:41 +0300

mathjax (2.7.0-2) unstable; urgency=medium

  * Install accessibility-menu.js into the main extensions directory,
    and make all configurations load it from there (closes: #854399).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 02 Mar 2017 11:10:34 +0300

mathjax (2.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Update packer and combiner code to the latest upstream version.
  * Refresh debian/patches/no_extra_fonts.diff.
  * Bump years in debian/copyright.
  * Repack the tarball without minified files and with XZ compression.
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 17 Oct 2016 14:06:09 +0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: mathjax
 Section: web
 Priority: optional
-Maintainer: Dmitry Shachnev <mitya57@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Shachnev <mitya57@debian.org>
 Uploaders: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), perl, yui-compressor
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://www.mathjax.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/mathjax.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/mathjax.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 # This file was originally written by Joey Hess and Craig Small.
+
+export NO_PNG_PKG_MANGLE := 1
 
 %:
 	dh $@

## mathjax 2.7.2+dfsg

=== debian/changelog ===
mathjax (2.7.2+dfsg-1) unstable; urgency=medium

  * New upstream release (closes: #883227).
  * Update packer and combiner code to the latest upstream version.
  * Drop local_accessibility_menu.diff, no longer needed.
  * Update debian/copyright.
  * Strip some minified JS libraries from the upstream tarball.
    These libraries come from speech-rule-engine and wicked-good-xpath,
    which are not trivial to package or build because they require new
    versions of Google Closure library and Closure compiler.
  * Stop building and shipping PNG fonts, they are not needed for any
    modern browsers.
  * Install STIX-Web fonts in fonts packages (closes: #881534).
  * Change section of libjs-mathjax to javascript.
  * Add a patch to fix invalid usage of ‘let’ as variable name in JS
    (variable_names.diff).
  * Escape the build directory in the replacement regex in packMJfile.
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 29 Dec 2017 11:02:36 +0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: mathjax
-Section: web
+Section: javascript
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Shachnev <mitya57@debian.org>
+Maintainer: Dmitry Shachnev <mitya57@debian.org>
 Uploaders: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), perl, yui-compressor
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://www.mathjax.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/mathjax.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/mathjax.git
@@ -66,5 +65,5 @@
  easily. Simply include MathJax and some mathematics in a web page, and MathJax
  will do the rest.
  .
- This package contains EOT and PNG fonts for MathJax, that are provided in
- addition to OTF, SVG and WOFF fonts in "fonts-mathjax" package.
+ This package contains EOT fonts for MathJax, that are provided in addition to
+ OTF, SVG and WOFF fonts in "fonts-mathjax" package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.

%:
	dh $@

override_dh_auto_build:
	./debian/packer/packMJ
	./debian/combiner/combineMJ --force

override_dh_auto_clean:
	rm -rfv config/ extensions/ jax/ localization/
	rm -fv MathJax.js

=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=uversionmangle=s/-/~/,dversionmangle=s/\+dfsg//,repack,repacksuffix=+dfsg,compression=xz \
https://github.com/mathjax/MathJax/releases .*/archive/v?(.*).tar.gz

## mathjax 2.7.3%2Bdfsg

=== debian/changelog ===
mathjax (2.7.3+dfsg-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Use manual code to download upstream tarballs instead of uscan,
    until bug #855464 is fixed.
  * Drop variable_names.diff, applied upstream.
  * Bump copyright years in debian/copyright.
  * Update to debhelper compat level 11.
  * Run packMJ with --force flag to get files like latest.js rebuilt.

  [ Helmut Grohne ]
  * Mark libjs-mathjax Multi-Arch: foreign (closes: #891399).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 27 Feb 2018 14:43:05 +0300

## mathjax 2.7.3+dfsg

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dmitry Shachnev <mitya57@debian.org>
 Uploaders: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), perl, yui-compressor
+Build-Depends: debhelper (>= 11), perl, yui-compressor
 Standards-Version: 4.1.3
 Homepage: https://www.mathjax.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/mathjax.git
@@ -11,6 +11,7 @@
 
 Package: libjs-mathjax
 Architecture: all
+Multi-Arch: foreign
 Depends: fonts-mathjax (>= 2.6.0~), ${misc:Depends}
 Suggests: fonts-mathjax-extras, fonts-stix, libjs-mathjax-doc
 Description: JavaScript display engine for LaTeX and MathML

## mathjax 2.7.4+dfsg

=== debian/changelog ===
mathjax (2.7.4+dfsg-1) unstable; urgency=medium

  * Update Vcs fields for migration to salsa.debian.org.
  * New upstream release.
  * Update packer and combiner templates from upstream.
  * Bump Standards-Version to 4.1.4, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 15 May 2018 18:04:35 +0300

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Dmitry Shachnev <mitya57@debian.org>
 Uploaders: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 11), perl, yui-compressor
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://www.mathjax.org
-Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/mathjax.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/mathjax.git
+Vcs-Git: https://salsa.debian.org/js-team/mathjax.git
+Vcs-Browser: https://salsa.debian.org/js-team/mathjax
 
 Package: libjs-mathjax
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_VERSION = $(DEB_VERSION_UPSTREAM:+dfsg=)

DELETED_FILES = config extensions jax localization \
	unpacked/extensions/a11y/mathjax-sre.js \
	unpacked/extensions/a11y/mathmaps \
	unpacked/extensions/a11y/wgxpath.install.js \
	fonts/HTML-CSS/TeX/png

%:
	dh $@

override_dh_auto_build:
	./debian/packer/packMJ --force
	./debian/combiner/combineMJ --force

override_dh_auto_clean:
	rm -rfv config/ extensions/ jax/ localization/
	rm -fv MathJax.js

get-orig-source:
	uscan --noconf --download-current-version --no-symlink
	gunzip -c ../$(UPSTREAM_VERSION).tar.gz | \
		tar --delete $(addprefix MathJax-$(UPSTREAM_VERSION)/,$(DELETED_FILES)) | \
		xz -z > ../mathjax_$(UPSTREAM_VERSION)+dfsg.orig.tar.xz

=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=uversionmangle=s/-/~/,dversionmangle=s/\+dfsg// \
https://github.com/mathjax/MathJax/releases .*/archive/v?(.*).tar.gz

## mathjax 2.7.9+dfsg

=== debian/changelog ===
mathjax (2.7.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add back some files to unpacked/extensions/a11y which are not minified.
  * Update to debhelper compat level 13.
  * Drop obsolete (pre-Jessie) Breaks/Replaces.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 26 Aug 2020 15:24:25 +0300

mathjax (2.7.8+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database.

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.0.
  * Add "Rules-Requires-Root: no".

  [ Dmitry Shachnev ]
  * New upstream release (closes: #955352).
  * Update debian/watch to track only 2.x releases for now.
  * Switch to using uscan for repacking again (bug #855464 was fixed).
  * Exclude the whole unpacked/extensions/a11y directory from the tarball.
    All files there are minified, so it is not DFSG compliant.
  * Also exclude the a11y extension from all combiner lists.
  * Refresh patches for the new release.
  * Make Lintian overrides less generic, list files with long lines.
  * Use debian/clean file instead of dh_auto_clean override.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 May 2020 13:26:43 +0300

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Dmitry Shachnev <mitya57@debian.org>
 Uploaders: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 11), perl, yui-compressor
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 13), perl, yui-compressor
+Standards-Version: 4.5.0
 Homepage: https://www.mathjax.org
 Vcs-Git: https://salsa.debian.org/js-team/mathjax.git
 Vcs-Browser: https://salsa.debian.org/js-team/mathjax
+Rules-Requires-Root: no
 
 Package: libjs-mathjax
 Architecture: all
@@ -30,8 +31,6 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: libjs-mathjax
-Breaks: libjs-mathjax (<< 2.1)
-Replaces: libjs-mathjax (<< 2.1)
 Multi-Arch: foreign
 Description: JavaScript display engine for LaTeX and MathML (fonts)
  MathJax was designed with the goal of consolidating the recent advances in web
@@ -52,8 +51,6 @@
 Depends: ${misc:Depends}
 Recommends: fonts-mathjax
 Suggests: libjs-mathjax
-Breaks: libjs-mathjax (<< 2.1)
-Replaces: libjs-mathjax (<< 2.1)
 Multi-Arch: foreign
 Description: JavaScript display engine for LaTeX and MathML (extra fonts)
  MathJax was designed with the goal of consolidating the recent advances in web

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.

%:
	dh $@

override_dh_auto_build:
	./debian/packer/packMJ --force
	./debian/combiner/combineMJ --force

=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=uversionmangle=s/-/~/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://github.com/mathjax/MathJax/releases .*/archive/v?(2\..*).tar.gz
